getPanelAgentCustomRoleDetail(params: GetPanelAgentCustomRoleDetailParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.6
Description
Get custom role details.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<PanelAgentRoleDetail>
GetPanelAgentCustomRoleDetailResult (see type definitions and minituya response parameters for field meanings)
Referenced Types
type
PanelAgentRoleDetail| Property | Type | Description |
|---|---|---|
roleId | string | Role ID |
roleName | string | Role name |
roleDesc | string | Role description |
roleIntroduce | string | Role description |
roleImgUrl | string | Role image |
useLangCode | string | Role language code |
useLangName | string | Role language name |
useTimbreId | string | Voice used by the role |
isUserCloneTimbre | boolean | Whether it is a custom cloned voice |
useTimbreName | string | Name of the voice used by the role |
useTimbreSupportLangs | string | Languages supported by the role's voice, separated by commas |
useTimbreSupportLangList | string[] | List of languages supported by the role's voice |
useTimbreTags | string[] | Role tags |
useLlmId | string | Role language model |
useLlmName | string | Role language model name |
inBind | boolean | Whether bound |
memoryInfo | string | Memory |
speed | number | Voice speed |
tone | number | Voice tone |
templateId | string | Template ID |
bindRoleType | number | Type of bound role |
lastTextAnswer | string | Most recent reply text |
llmSupportFuncTags | string | Function tags supported by the language model, separated by commas |